xine-lib: Data Fields - Variables

xine-lib 1.2.13-20230125hg15249

Here is a list of all variables with links to the structures/unions they belong to:

### - p -

- p : asf_reader_t, pgx64_overlay_s, pulldown_metrics_s, rgb2yuy2_s, xine_egl_t, xine_glx_t, xine_mfrag_frag_t, xine_va_display_impl_t
- p1 : _PLUGIN_INFO
- p2 : _PLUGIN_INFO
- p_calls : xine_profiler_t
- p_label : xine_profiler_t
- p_start : xine_profiler_t
- p_times : xine_profiler_t
- pa_class : pulse_driver_s
- pac_attr : cc_row_s
- pac_attr_chg : cc_row_s
- packedbuf : pgx32_frame_t
- packedlen : pgx32_frame_t
- packet : pnm_s, theora_decoder_s
- packet_buffer : rtp_input_plugin_t
- packet_count : demux_asf_s
- packet_id_type : mms_packet_header_s
- packet_len : demux_mpeg_block_s, demux_mpeg_pes_s, mms_packet_header_s
- packet_len_flags : demux_asf_s
- packet_padsize : demux_asf_s
- packet_prop_flags : demux_asf_s
- packet_seq : mms_packet_header_s
- packet_size : asf_file_s, demux_asf_s
- packet_size_left : demux_asf_s
- packetno : real_index_entry_t
- pad : AnimHeader, CcrtChunk
- pad0 : AnimHeader
- pad1 : BitMapHeader, CRange, DestMerge, hls_input_plugin_s
- pad2 : hls_input_plugin_s
- padding : mpg_audio_frame_t
- padding_size : id3v23_frame_ext_header_t
- page : dvbsub_func_t
- page_block : pvr_input_plugin_t
- pageheight : BitMapHeader
- pages : saved_show_t
- pagewidth : BitMapHeader
- pair : xine_stream_private_st
- palette : asf_demux_stream_t, avi_t, demux_ipmovie_t, matroska_sub_track_t, properties_t, video_overlay_object_s, xxmc_driver_s
- palette_count : asf_demux_stream_t, avi_t, properties_t
- palette_id_ref : presentation_segment_s
- palette_loaded : rgb_decoder_s
- palette_type : video_overlay_object_s
- palette_update_flag : presentation_segment_s
- palettes : demux_mve_t
- pAllocator : _COutputMemPin
- pan_scan : dxr3_driver_s, dxr3_frame_s, xine_format_change_data_t
- pan_sposition : demux_iff_t
- panscan_smart_change : dxr3_decoder_s
- param : _GMLINE, _PARAM, vf_priv_s
- parameter : xine_post_api_descr_t
- parameters : xine_ui_message_data_t
- params : _CONV_DATA, _FS_DATA, _INSTRUCTION, _PARAMETERS, _PLUGIN_INFO, _SOUND_INFO, _TENTACLE_FX_DATA, _VISUAL_FX, _ZOOM_FILTER_FX_WRAPPER_DATA, post_plugin_eq_s, post_plugin_upmix_mono_s
- params_changed : post_plugin_upmix_mono_s
- parent : _COutputMemPin, _INSTRUCTION, CInputPin, CRemotePin2, CRemotePin, xine_stree_t
- parental : bluray_input_class_t
- parse : dxr3_spu_stream_state_s, ff_audio_decoder_s
- parse_enum : config_values_s
- parser : a52dec_decoder_s
- parser_context : ff_audio_decoder_s
- part : dvd_input_plugin_s
- part_read : tls_plugin_s
- pass1_program : opengl2_driver_s
- pass1_tex_h : opengl2_driver_s
- pass1_tex_w : opengl2_driver_s
- pass2_program : opengl2_driver_s
- pass_start : mrlp_t
- pass_stop : mrlp_t
- passthrough_offset : aos_t
- password : xine_url_t
- pat : demux_ts_t, Pattern
- pat_crc : demux_ts_t
- pat_interval : demux_ts_t
- pat_length : demux_ts_t
- pat_write_pos : demux_ts_t
- path : pnm_s, rtsp_s, xine_url_t
- path_start : mrlp_t
- path_stop : mrlp_t
- pattern : noise_param_t, noise_parameters_s
- Pause : IBaseFilter_vt
- pause_counter : dvd_input_plugin_s
- pause_end_time : dvd_input_plugin_s, vcd_input_plugin_s
- pause_revoked : xine_ticket_private_t
- pause_timer : dvd_input_plugin_s
- paused : dx2_driver_t, fusionsound_driver_s, jack_driver_s
- paused_osd : dvb_input_plugin_t
- payload_extension_system_count : asf_stream_extension_s
- payload_size : asf_demux_stream_t, sei_message
- payload_type : sei_message
- pb : avio_input_plugin_t
- PBO : opengl2_driver_s
- pBuffer : _DMO_OUTPUT_DATA_BUFFER
- pci : pci_node_s
- pci_cur : dxr3_spudec_s, spudec_decoder_s
- pci_lock : dxr3_spudec_s
- pcm_status : alsa_driver_s
- pcr_pid : demux_ts_t
- pdd : png_decoder_s
- pderror : tvtime_t
- pdi : vcdplayer_s
- pdlastbusted : tvtime_t
- pdoffset : tvtime_t
- peak : mad_decoder_s, tdaan_leveller_t
- pending_grab_request : vdpau_driver_t
- pending_revocations : xine_ticket_private_t
- percent : xine_progress_data_t
- periods : v4l_input_plugin_t
- periodsize : v4l_input_plugin_t
- PermuteTable : fft_s
- pertedec : _ZOOM_FILTER_DATA
- pes_bytes_left : demux_ts_media
- pes_pkt : dvb_spu_decoder_s
- pes_pkt_size : dvb_spu_decoder_s
- pes_pkt_wrptr : dvb_spu_decoder_s
- pesFilterParams : tuner_t
- pFilter : _PinInfo
- pfmt : rgb2yuy2_s
- pg_enable : bluray_input_plugin_t
- pg_length : dvd_input_plugin_s
- pg_start : dvd_input_plugin_s
- pg_stream : bluray_input_plugin_t
- pgc_length : dvd_input_plugin_s
- phaser_height : post_plugin_tdaan_t
- phaser_last_x : post_plugin_tdaan_t
- phaser_last_y : post_plugin_tdaan_t
- phaser_width : post_plugin_tdaan_t
- phaser_x : post_plugin_tdaan_t
- phaser_y : post_plugin_tdaan_t
- pic : h264_parser
- pic_height : seq_parameter_set_rbsp
- pic_height_in_map_units_minus1 : vdec_hw_h264_sps_t
- pic_init_qp_minus26 : pic_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_pps_t
- pic_init_qs_minus26 : pic_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_pps_t
- pic_num : coded_picture
- pic_order_cnt_lsb : slice_header, vdec_hw_h264_frame_int_s, vdec_hw_h264_lps_t
- pic_order_cnt_type : seq_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_sps_t
- pic_order_present_flag : pic_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_pps_t
- pic_parameter_set_id : pic_parameter_set_rbsp, slice_header
- pic_pts : vdec_hw_h264_sequence_t
- pic_scaling_list_present_flag : pic_parameter_set_rbsp, vdec_hw_h264_pps_t
- pic_scaling_matrix_present_flag : pic_parameter_set_rbsp, vdec_hw_h264_pps_t
- pic_size_in_map_units_minus1 : pic_parameter_set_rbsp, vdec_hw_h264_pps_t
- pic_struct : sei_message
- pic_struct_present_flag : seq_parameter_set_rbsp
- pic_timing : sei_message
- pic_width : seq_parameter_set_rbsp
- pic_width_in_mbs_minus1 : vdec_hw_h264_sps_t
- PicNum : vdec_hw_h264_frame_int_s
- PicOrderCntMsb : vdec_hw_h264_frame_int_s
- picture : lavc_data_s, mpeg2dec_s, sequence_t
- picture_coding_type : mpeg_parser_s, picture_s, vo_frame_s, xine_vld_frame_s
- picture_dest : mpeg2_decoder_s
- picture_height : mpeg2_sequence_s
- picture_structure : mpeg2_decoder_s, picture_s, xine_vld_frame_s
- picture_width : mpeg2_sequence_s
- pictures : mpeg2_gop_s, mpeg2dec_s
- pid : channel_t, demux_ts_audio_track, demux_ts_media, demux_ts_pmt, demux_ts_spu_lang
- pid_index : demux_ts_t
- pin : _CBaseFilter2, _CBaseFilter
- pin1 : CEnumPins
- pin2 : CEnumPins
- pip : post_mosaico_s
- pip_count : post_mosaico_s
- pip_num : mosaico_parameters_s
- pitch : pgx32_frame_t, pgx64_frame_t
- pitch_code : pgx32_frame_t
- pitches : picture_s, vo_frame_s, xv_frame_t
- pix_fmt : DVprofile, ff_video_decoder_s
- pixel : _PLUGIN_INFO
- pixel_height : matroska_video_track_t, mpeg2_sequence_s
- pixel_width : matroska_video_track_t, mpeg2_sequence_s
- pixmap_d : caca_frame_s
- pixmap_s : caca_frame_s
- pkt_sent : ff_audio_decoder_s
- plain_renewers : xine_ticket_private_t
- plane : qtv_decoder_s
- plane_mask : DestMerge
- plane_onoff : DestMerge
- plane_pick : DestMerge
- planes : pgx64_frame_t
- play_blk : pvr_input_plugin_t
- play_duration : asf_file_s
- play_fd : pvr_input_plugin_t
- play_item : vcdplayer_s
- play_page : pvr_input_plugin_t
- play_start : hls_input_plugin_s, mpd_input_plugin_s
- play_systime : hls_input_plugin_s
- playback : fusionsound_driver_s
- player : vcd_input_plugin_s
- player_device : vcd_input_plugin_s
- player_if : opensles_driver_s
- player_object : opensles_driver_s
- playing : mms_s, mmsh_s, rtsp_session_s
- playlist : demux_playlist_t
- playpos : sndio_driver_s
- plugin : va_hw_frame_plugin_t, xine_stream_private_st
- plugin_catalog : xine_s
- plugin_class : plugin_node_s
- plugin_count : plugin_catalog_s
- plugin_lists : plugin_catalog_s
- pmtpid : channel_t
- pmts : demux_ts_t
- pmv : motion_s, motion_t
- pname : esd_driver_s
- png : png_decoder_s
- png_data : png_decoder_s
- png_end_info : png_decoder_s
- png_info : png_decoder_s
- pnm : pnm_input_plugin_t
- point : osd_renderer_s
- points : _GMLINE
- points2 : _GMLINE
- pol : channel_t
- poll_limit : vos_t
- poll_num : vos_t
- poll_time : vos_t
- pool : mmal_driver_t
- port : broadcaster_s, mrlp_t, pnm_s, rtp_input_plugin_t, rtsp_s, vo_frame_s, xine_url_t
- port_lock : post_audio_port_s, post_video_port_s
- port_rewiring_lock : xine_ticket_private_t
- port_ticket : xine_private_t
- ports : jack_driver_s
- pos : _GOOM_RANDOM, asmrp_t, audio_index_entry_t, cc_row_s, dec_data, hls_input_plugin_s, matroska_index_t, mms_buffer_s, mpd_input_plugin_s, video_index_entry_t, xine_pts_queue_s
- pos1 : demux_real_t
- pos2 : demux_real_t
- pos_pts : xine_nbc_fifo_info_t, xine_nbc_st
- position : h264_parser
- post : post_audio_port_s, post_in_s, post_mosaico_s, post_out_s, post_plugin_deinterlace_s, post_plugin_eq_s, post_plugin_fftgraph_s, post_plugin_fftscope_s, post_plugin_fooviz_s, post_plugin_goom_s, post_plugin_oscope_s, post_plugin_tdaan_t, post_plugin_upmix_mono_s, post_plugin_volnorm_s, post_video_port_s
- post_class : post_class_fooviz_s
- post_info : all_info_t
- post_plugin : vdr_audio_post_plugin_s, vdr_video_post_plugin_s
- power : _GMLINE
- powinc : _GMLINE
- pps : nal_unit, vdec_hw_h264_sequence_t
- pps_buffer : h264_parser
- pps_id : vdec_hw_h264_lps_t, vdec_hw_h264_pps_t
- pps_nal : coded_picture
- pr : dvd_input_plugin_s
- pre_mute_volume : coreaudio_driver_s
- prebuf : h264_parser
- prebuf_len : h264_parser
- prebuff : ao_directx_t
- prebuff_size : ao_directx_t
- prebuffer : metronom_impl_t
- precalCoef : _ZOOM_FILTER_FX_WRAPPER_DATA
- pred_dct_frame : xine_vld_frame_s
- pred_weight_table : slice_header, vdec_hw_h264_lps_t
- preemption_callback_register : vdpau_driver_t
- pref : hls_input_class_t, hls_input_plugin_s, mpd_input_class_t
- prepare_object : xine_pool_s
- preroll : asf_file_s, mdpr_t, rmff_mdpr_t, rmff_prop_t, sdpplin_stream_t
- preserve_pitch : stretch_parameters_s
- prev : _avm_list_t, _video_overlay_node_t, dnode_st, nal_unit, xine_stree_t
- prev_entry : vcdplayer_s
- prev_item_mrl : hls_input_plugin_s
- prev_pic_order_cnt_lsb : h264_parser
- prev_pic_order_cnt_msb : h264_parser
- prev_shift : noise_param_t
- prev_size1 : hls_input_plugin_s, mpd_input_plugin_s
- prev_size2 : hls_input_plugin_s, mpd_input_plugin_s
- prev_top_field_order_cnt : h264_parser
- prevFrameNum : vdec_hw_h264_sequence_t
- prevFrameNumOffset : vdec_hw_h264_sequence_t
- preview : avio_input_plugin_t, ftp_input_plugin_t, hls_input_plugin_s, http_input_plugin_t, mpd_input_plugin_s, net_input_plugin_t, rip_input_plugin_s, rtp_input_plugin_t, ssh_input_plugin_t, stdin_input_plugin_t
- preview_buffers : pvr_input_plugin_t
- preview_data : demux_mpeg_pes_s
- preview_done : demux_mpeg_pes_s
- preview_mode : demux_matroska_t, demux_mpeg_block_s, demux_mpeg_pes_s, demux_mpeg_s, mad_decoder_s
- preview_read_done : rtp_input_plugin_t
- preview_sent : demux_matroska_t
- preview_size : avio_input_plugin_t, demux_mpeg_pes_s, ftp_input_plugin_t, net_input_plugin_t, rip_input_plugin_s, rtp_input_plugin_t, ssh_input_plugin_t, stdin_input_plugin_t
- previousZoomSpeed : _PLUGIN_INFO
- prevMMC5 : vdec_hw_h264_sequence_t
- prevX : _ZOOM_FILTER_FX_WRAPPER_DATA
- prevY : _ZOOM_FILTER_FX_WRAPPER_DATA
- primary : win32_driver_t
- primary_pixel_format : win32_driver_t
- prio_desc : plugin_catalog_s
- priority : ao_info_t, decoder_info_t, demuxer_info_t, dxr3_scr_s, input_info_t, plugin_node_s, vo_info_t, xine_module_info_t
- private : demux_vc1_es_t
- private_data : asf_stream_s
- private_data_length : asf_stream_s
- proc_called : vo_frame_s
- proc_duplicate_frame_data : vo_frame_s
- proc_frame : vo_frame_s
- proc_macro_block : xine_xvmc_s
- proc_provide_standard_frame_data : vo_frame_s
- proc_slice : vo_frame_s
- proc_xxmc_begin : xine_xxmc_s
- proc_xxmc_flush : xine_xxmc_s
- proc_xxmc_lock_valid : xine_xxmc_s
- proc_xxmc_slice : xine_xxmc_s
- proc_xxmc_unlock : xine_xxmc_s
- proc_xxmc_update_frame : xine_xxmc_s
- Process : IMediaObjectInPlace_vt
- ProcessInput : IMediaObject_vt
- ProcessOutput : IMediaObject_vt
- procs_en : pgx64_frame_t
- profile : sequence_t, vdec_hw_h264_frame_t, vdpau_h264_alter_decoder_t, vdpau_h264_decoder_s
- profile_from_imgfmt : vaapi_accel_funcs_s
- profile_idc : seq_parameter_set_rbsp, vdec_hw_h264_sps_t
- profile_level_id : mpeg2_sequence_s
- proginfo_osd : dvb_input_plugin_t
- progname : epg_entry_t
- program : demux_ts_pmt, opengl2_driver_s, opengl2_program_t
- programs : demux_ts_t
- progress : xine_nbc_st
- progressive : demux_yuv4mpeg2_t, yuv_decoder_s
- progressive_cnt : vdpau_h264_decoder_s
- progressive_frame : picture_s, picture_t, vdec_hw_h264_frame_t, vo_frame_s
- progressive_sequence : picture_s, sequence_t, xine_vld_frame_s
- prop : oss_driver_s, rmff_header_t
- prop_changed : vdpau_driver_t
- properties : qt_trak
- properties_atom : properties_t
- properties_atom_size : properties_t
- props : _MemAllocator, vaapi_driver_s, vidix_driver_s, xml_node_s, xv_driver_s, xxmc_driver_s
- prot_start : mrlp_t
- prot_stop : mrlp_t
- prot_version : http_input_class_t
- proto : _FAST_INSTRUCTION, xine_url_t
- protocol : mms_input_class_t, mms_input_plugin_t
- prov_max : _SOUND_INFO
- providers : metronom_clock_private_t
- proxyhost : http_input_class_t
- proxypassword : http_input_class_t
- proxyport : http_input_class_t
- proxyurl : http_input_plugin_t
- proxyuser : http_input_class_t
- ps : bebf_latm_t
- psz_source : vcdplayer_s
- ptoffs : aos_t
- ptr : _CImage, HashValue
- ptrArray : _GoomSL
- ptrArraySize : _GoomSL
- pts : a52dec_decoder_s, aom_decoder_s, buf_element_s, cc_decoder_s, coded_picture, dav1d_decoder_s, demux_mpeg_block_s, demux_mpeg_pes_s, demux_raw_dv_t, demux_ts_media, dts_decoder_t, faad_decoder_t, ff_video_decoder_s, film_sample_t, flac_decoder_s, flac_seekpoint_t, flv_index_entry_t, hevc_decoder_s, hls_input_plugin_s, image_decoder_s, jpeg_decoder_s, lpcm_decoder_s, mad_decoder_s, mpeg2dec_s, png_decoder_s, presentation_segment_s, qt_frame, realdec_decoder_s, speex_decoder_s, spudec_seq_t, spudec_stream_state_s, spuhdmv_decoder_s, vdec_hw_h264_frame_t, video_overlay_object_s, vmd_frame_t, vo_frame_s, vorbis_decoder_s, vpx_decoder_s, w32a_decoder_s, xine_pts_queue_s, xine_stream_private_st
- pts_counter : demux_fli_t, demux_idcin_t
- pts_delay : mad_decoder_s
- pts_fill : aos_t
- pts_in_driver : aos_t
- pts_last : faad_decoder_t
- pts_last_buf : aos_t
- pts_offs : demux_aac_t
- pts_per_smpls : metronom_impl_t
- pts_queue : ff_audio_decoder_s
- pts_read : mad_decoder_s
- pts_ring : faad_decoder_t, mad_decoder_s
- pts_samples : mad_decoder_s
- pts_tag_pass : ff_video_decoder_s
- pts_write : mad_decoder_s
- ptsoffs : demux_qt_t, qt_frame
- ptsoffs_mul : qt_trak
- pub : asf_header_internal_t
- public_mrl : rtsp_input_plugin_t
- pulldown : deinterlace_parameters_s, ivtv_ioctl_codec, post_plugin_deinterlace_s
- pulldown_alg : tvtime_t
- pulldown_error_wait : deinterlace_parameters_s, tvtime_t
- put : fifo_buffer_s, mpeg2_mc_s, mpeg2_mc_t, xine_pts_queue_s
- put_AspectRatio : IDivxFilterInterface_vt
- put_bits : vdpau_driver_t
- put_bits_ycbcr : vdpau_driver_t
- put_Brightness : IDivxFilterInterface_vt
- put_buffer : xine_audio_port_s
- put_cb : fifo_buffer_s
- put_cb_data : fifo_buffer_s
- put_Contrast : IDivxFilterInterface_vt
- put_DefaultPPLevel : IDivxFilterInterface_vt
- put_MaxDelayAllowed : IDivxFilterInterface_vt
- put_PPLevel : IDivxFilterInterface_vt
- put_Saturation : IDivxFilterInterface_vt
- putbits_ycbcr : vdpau_driver_t
- pvr_play_paused : pvr_input_plugin_t
- pvr_playing : pvr_input_plugin_t
- pvr_running : pvr_input_plugin_t
- pvr_thread : pvr_input_plugin_t
- pxd : vcdplayer_s